Bug 523777 - Metacity terminates unexpectedly with BadWindow (invalid Window parameter)
Summary: Metacity terminates unexpectedly with BadWindow (invalid Window parameter)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: metacity
Version: 5.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Owen Taylor
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 537024
TreeView+ depends on / blocked
 
Reported: 2009-09-16 16:16 UTC by Olivier Fourdan
Modified: 2018-10-27 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:25:28 UTC


Attachments (Terms of Use)
Proposed patch (from upstream fix) (1.45 KB, patch)
2009-09-16 16:16 UTC, Olivier Fourdan
no flags Details | Diff
Updated patch (2.19 KB, patch)
2009-09-22 16:31 UTC, Olivier Fourdan
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0245 normal SHIPPED_LIVE metacity bug fix and enhancement update 2010-03-29 12:44:04 UTC
GNOME Bugzilla 358514 None None None Never

Description Olivier Fourdan 2009-09-16 16:16:12 UTC
Created attachment 361314 [details]
Proposed patch (from upstream fix)

Description of problem:

Customer is facing upstream bugzilla.gnome.org #358514, ie when closing windows, Metacity terminates with BadWindow (invalid Window parameter)

  http://bugzilla.gnome.org/show_bug.cgi?id=358514

Version-Release number of selected component (if applicable):

metacity-2.16.0-12

How reproducible:

90% reproducible

Steps to Reproduce:
1. Run a remote application
2. Open a transient (like "Find" in gedit for example)
3. Close the main window
  
Actual results:

metacity dies with Unexpected X error BadWindow (invalid Window parameter) and gets restarted by the session manager.

Expected results:

metacity survives closing a window

Additional info:

Patch from upstream bug attached. Merged in git repo as commit c4fa0d11

Comment 1 Olivier Fourdan 2009-09-22 16:31:52 UTC
Created attachment 362119 [details]
Updated patch

There are two parts for the fix in b.g.o 358514:

  http://git.gnome.org/cgit/metacity/commit/?id=c4fa0d118c3868e7b3d8787fa71ae75702a231d4
  http://git.gnome.org/cgit/metacity/commit/?id=79eb53bd535c32d641e0da22ed7f7c139ece8e77

Previous patch was missing 79eb53bd

Comment 8 Owen Taylor 2009-11-11 20:42:25 UTC
built in dist-5E-qu-candidate as metacity-2.16.0-15.el5

Comment 14 errata-xmlrpc 2010-03-30 08:25:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0245.html


Note You need to log in before you can comment on or make changes to this bug.